Package net.shibboleth.idp.attribute

# Class IdPRequestedAttribute

java.lang.Object
net.shibboleth.idp.attribute.IdPAttribute
net.shibboleth.idp.attribute.IdPRequestedAttribute

All Implemented Interfaces:
  `Cloneable`, `Comparable<IdPAttribute>`

public final class IdPRequestedAttribute extends IdPAttribute
IdP representation of `RequestedAttribute`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`isRequired`
Is this attribute required.

## Constructor Summary

Constructors
Constructor
Description
`IdPRequestedAttribute(String attributeId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRequired()`
Is this attribute marked as required?
`void`
`setRequired(boolean required)`
Set whether this attribute is to be marked as required.

### Methods inherited from class net.shibboleth.idp.attribute.IdPAttribute

`clone, compareTo, contains, equals, getId, getValues, hashCode, isDeprecatedId, isInvalidId, setValues, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isRequired

private boolean isRequired
Is this attribute required.

## Constructor Details

### IdPRequestedAttribute

public IdPRequestedAttribute(@ParameterName(name="attributeId") @Nonnull String attributeId)
Constructor.

Parameters:
  `attributeId` - the id

## Method Details

### isRequired

public boolean isRequired()
Is this attribute marked as required?

Returns:
  the isRequired flag
Since:
  4.0.0

### setRequired

public void setRequired(boolean required)
Set whether this attribute is to be marked as required.

Parameters:
  `required` - The flag to set.